Subject: bug#18340: 24.4.50; Bad UI for `find-file-literally'

From: Eli Zaretskii <[email-masked]>
Date: Wed, 04 May 2016 18:23:51 +0300

> Date: Wed, 4 May 2016 08:05:04 -0700 (PDT)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > We should perhaps consider obsoleting `resize-mini-windows'.  Emacs has
> > > many prompts now that don't make sense in a single line.
> > 
> > Those prompts should bind resize-mini-windows non-nil.
> > 
> > I don't understand the rest of the bug report, 
> 
> What don't you understand about it?

I understood nothing beyond the example with resize-mini-windows and a
normal frame which has a minibuffer.

> > but the specific part about find-file-literally will be
> > definitely fixed by that.
> 
> I don't think so.  `resize-mini-windows' will do nothing for a
> standalone minibuffer.

Please show a recipe, as I didn't understand the problem.  Repeating
what you said the first time doesn't help.

> Again: "Don't show a multi-line message for prompting `y-or-n-p' in
> the echo area and expect users to see it."

Please let us judge what would be the best solution for problems.

> It is NOT a good idea to depend on `resize-mini-windows' showing
> all of a multi-line message.

You contradict yourself: above you said that the value of
resize-mini-windows doesn't necessarily help.

> If the code _really_ needs to interact with the user using a
> multi-line message, then `y-or-n-p' is the _wrong_ way to ask
> the question.  If users need to read multiple lines then hitting
> a single key to choose is probably not appropriate.

I don't think I agree.  I see no reason to treat single-line and
multi-line prompts differently, not without a good reason.  The fact
that there's more than one line doesn't cut it.

> This should be rethought, IMO.  If the prompt cannot reasonably
> be a single line then some other interaction should be used.
> Do not just look for a way to force minibuffer-window resizing.

Once again, please don't dictate solutions for problems.